Package org.apache.sling.distribution.journal

## Interface MessageSender<T>

All Superinterfaces:
  `Consumer<T>`

    public interface MessageSender<T>
    extends Consumer<T>

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default void` `accept​(T payload)` Make sure every MessageSender also acts as Consumer
`void` `send​(T payload)`
`void` `send​(T payload, Map<String,​String> properties)`

### Methods inherited from interface java.util.function.Consumer

`andThen`

### Method Detail

#### accept

    default void accept​(T payload)

Make sure every MessageSender also acts as Consumer

Specified by:
  `accept` in interface `Consumer<T>`

#### send

    void send​(T payload)
       throws MessagingException

Throws:
  `MessagingException`

#### send

    void send​(T payload,
              Map<String,​String> properties)
       throws MessagingException

Throws:
  `MessagingException`